<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.4"/>
<title>Framework: Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.4 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li class="current"><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li class="current"><a href="functions.html"><span>All</span></a></li>
      <li><a href="functions_func.html"><span>Functions</span></a></li>
      <li><a href="functions_vars.html"><span>Variables</span></a></li>
      <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
      <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li><a href="functions.html#index_a"><span>a</span></a></li>
      <li><a href="functions_0x62.html#index_b"><span>b</span></a></li>
      <li><a href="functions_0x63.html#index_c"><span>c</span></a></li>
      <li><a href="functions_0x64.html#index_d"><span>d</span></a></li>
      <li><a href="functions_0x65.html#index_e"><span>e</span></a></li>
      <li><a href="functions_0x66.html#index_f"><span>f</span></a></li>
      <li><a href="functions_0x67.html#index_g"><span>g</span></a></li>
      <li><a href="functions_0x68.html#index_h"><span>h</span></a></li>
      <li><a href="functions_0x69.html#index_i"><span>i</span></a></li>
      <li><a href="functions_0x6a.html#index_j"><span>j</span></a></li>
      <li><a href="functions_0x6c.html#index_l"><span>l</span></a></li>
      <li><a href="functions_0x6d.html#index_m"><span>m</span></a></li>
      <li><a href="functions_0x6e.html#index_n"><span>n</span></a></li>
      <li><a href="functions_0x6f.html#index_o"><span>o</span></a></li>
      <li><a href="functions_0x70.html#index_p"><span>p</span></a></li>
      <li><a href="functions_0x72.html#index_r"><span>r</span></a></li>
      <li class="current"><a href="functions_0x73.html#index_s"><span>s</span></a></li>
      <li><a href="functions_0x74.html#index_t"><span>t</span></a></li>
      <li><a href="functions_0x75.html#index_u"><span>u</span></a></li>
      <li><a href="functions_0x76.html#index_v"><span>v</span></a></li>
      <li><a href="functions_0x77.html#index_w"><span>w</span></a></li>
      <li><a href="functions_0x78.html#index_x"><span>x</span></a></li>
      <li><a href="functions_0x79.html#index_y"><span>y</span></a></li>
      <li><a href="functions_0x7a.html#index_z"><span>z</span></a></li>
      <li><a href="functions_0x7e.html#index_0x7e"><span>~</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('functions_0x73.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all documented class members with links to the class documentation for each member:</div>

<h3><a class="anchor" id="index_s"></a>- s -</h3><ul>
<li>SafeStop()
: <a class="el" href="classframework_1_1core_1_1_thread.html#acd61dc2aef8db4619f5d65eb0aca3d40">framework::core::Thread</a>
</li>
<li>SendData()
: <a class="el" href="classframework_1_1core_1_1_send_data.html#ac850a4cfcbe761023d0dd9f4f68b2e88">framework::core::SendData</a>
</li>
<li>SendMessage()
: <a class="el" href="classframework_1_1core_1_1_socket.html#afee28668d5dd69e004bdcde32e25193b">framework::core::Socket</a>
</li>
<li>SendXml()
: <a class="el" href="classframework_1_1gui_1_1_widget.html#ae5d98cfb6caca948c0dfd4c3574550e6">framework::gui::Widget</a>
</li>
<li>SerialPort()
: <a class="el" href="classframework_1_1core_1_1_serial_port.html#aeb40e813d173c43c362da6af47eaf709">framework::core::SerialPort</a>
</li>
<li>SetBaudrate()
: <a class="el" href="classframework_1_1core_1_1_serial_port.html#aa735128759740431636f49083f725fb5">framework::core::SerialPort</a>
, <a class="el" href="classframework_1_1core_1_1_unix___serial_port.html#acf54db8c19c3e57bd40d310b7bd7c1d5">framework::core::Unix_SerialPort</a>
, <a class="el" href="classframework_1_1core_1_1_r_t_d_m___serial_port.html#a40cb1dd5b50194bbadb26e86a23b599d">framework::core::RTDM_SerialPort</a>
</li>
<li>SetCenter()
: <a class="el" href="classframework_1_1filter_1_1_trajectory_generator2_d_circle.html#a3514485ad36c2a0bb22d89976651d2a0">framework::filter::TrajectoryGenerator2DCircle</a>
</li>
<li>SetCenterSpeed()
: <a class="el" href="classframework_1_1filter_1_1_trajectory_generator2_d_circle.html#a744583efcbfa05cc400dd25a6354ca22">framework::filter::TrajectoryGenerator2DCircle</a>
</li>
<li>SetCoordinates()
: <a class="el" href="classframework_1_1core_1_1_geo_coordinate.html#a7b72cda95437b7e8e23fc26d710b13ec">framework::core::GeoCoordinate</a>
</li>
<li>SetDataTime()
: <a class="el" href="classframework_1_1core_1_1io__data.html#af4eca364240e1b754fa989bda9717d5a">framework::core::io_data</a>
</li>
<li>SetDataToLog()
: <a class="el" href="classframework_1_1core_1_1_i_o_device.html#a120d64070906a39d21c6fe0953c6fa2a">framework::core::IODevice</a>
</li>
<li>SetElementName()
: <a class="el" href="classframework_1_1core_1_1cvmatrix__descriptor.html#a9cba19c8dbaa571df112eeda0bef6059">framework::core::cvmatrix_descriptor</a>
</li>
<li>setEnabled()
: <a class="el" href="classframework_1_1gui_1_1_widget.html#a7fe633c500864d494e67ba9e5ab4e3cd">framework::gui::Widget</a>
</li>
<li>SetMultiplexComboBox()
: <a class="el" href="classframework_1_1filter_1_1_uav_multiplex.html#a10fa4650213e8dec91e7dcdc713875e5">framework::filter::UavMultiplex</a>
</li>
<li>SetPeriodMS()
: <a class="el" href="classframework_1_1core_1_1_thread.html#a3d7e006f50eb03f350c251ad7b0a8924">framework::core::Thread</a>
</li>
<li>SetPeriodUS()
: <a class="el" href="classframework_1_1core_1_1_thread.html#a7aefccd25fe4a0dd6fa76d03090b9bb2">framework::core::Thread</a>
</li>
<li>SetPitch()
: <a class="el" href="classframework_1_1filter_1_1_uav_multiplex.html#a2d3d512b0f5e432f6937c26e06cfb31f">framework::filter::UavMultiplex</a>
</li>
<li>SetPitchTrim()
: <a class="el" href="classframework_1_1filter_1_1_uav_multiplex.html#ae88f598af8e8957baacdcac6e58bd415">framework::filter::UavMultiplex</a>
</li>
<li>SetPositionOffset()
: <a class="el" href="classframework_1_1filter_1_1_trajectory_generator1_d.html#add9eb592c445f141fb5eb39d8a7fa1be">framework::filter::TrajectoryGenerator1D</a>
</li>
<li>SetPower()
: <a class="el" href="classframework_1_1actuator_1_1_bldc.html#aa074ef310ada48a7205295c393bc97d1">framework::actuator::Bldc</a>
</li>
<li>SetPtrToCircle()
: <a class="el" href="classframework_1_1core_1_1io__data.html#a65e6d218e3699bfbb7c8c958d85156bf">framework::core::io_data</a>
</li>
<li>SetRoll()
: <a class="el" href="classframework_1_1filter_1_1_uav_multiplex.html#a503a803548d0cefb4a1421e216c8b0b7">framework::filter::UavMultiplex</a>
</li>
<li>SetRollTrim()
: <a class="el" href="classframework_1_1filter_1_1_uav_multiplex.html#a68462d9a5649f610fae08cc3faefd1ab">framework::filter::UavMultiplex</a>
</li>
<li>SetRxTimeout()
: <a class="el" href="classframework_1_1core_1_1_i2c_port.html#a07ebf20f99d398dd157b37b38a7a99e6">framework::core::I2cPort</a>
, <a class="el" href="classframework_1_1core_1_1_r_t_d_m___i2c_port.html#a92665021622accc8fc2c78c7e4177f5d">framework::core::RTDM_I2cPort</a>
, <a class="el" href="classframework_1_1core_1_1_r_t_d_m___serial_port.html#ab6aa75c495b44e9374a769126615771a">framework::core::RTDM_SerialPort</a>
, <a class="el" href="classframework_1_1core_1_1_serial_port.html#a6d6c15eef95e4608a1e6df2953aef0dc">framework::core::SerialPort</a>
, <a class="el" href="classframework_1_1core_1_1_unix___serial_port.html#a8ed1044d56f60011ac5c5d498a4ef1a3">framework::core::Unix_SerialPort</a>
</li>
<li>SetSize()
: <a class="el" href="classframework_1_1core_1_1io__data.html#a7e0b15e6591c47bfc0e49565ddf460c2">framework::core::io_data</a>
</li>
<li>SetSlave()
: <a class="el" href="classframework_1_1core_1_1_i2c_port.html#a3ef066a2a9156905d7b12e0d900ffa0b">framework::core::I2cPort</a>
, <a class="el" href="classframework_1_1core_1_1_r_t_d_m___i2c_port.html#a22c6f1746ef7820244c6a81e9e024d09">framework::core::RTDM_I2cPort</a>
</li>
<li>SetSpeedOffset()
: <a class="el" href="classframework_1_1filter_1_1_trajectory_generator1_d.html#a96ff50cc44677262a585db2aa4c2d0af">framework::filter::TrajectoryGenerator1D</a>
</li>
<li>SetText()
: <a class="el" href="classframework_1_1gui_1_1_label.html#a27429bb32e0eddbd0a5a7c7cd803121b">framework::gui::Label</a>
</li>
<li>SetThrust()
: <a class="el" href="classframework_1_1filter_1_1_uav_multiplex.html#a4d5fda0fd639d4ce56a961fed4bd4fd1">framework::filter::UavMultiplex</a>
</li>
<li>SetThrustTrim()
: <a class="el" href="classframework_1_1filter_1_1_uav_multiplex.html#ad793fbc3d7f265e1c6ad4ff4a887fd36">framework::filter::UavMultiplex</a>
</li>
<li>SetTxTimeout()
: <a class="el" href="classframework_1_1core_1_1_i2c_port.html#adfd143062fce1baade490130efd05f83">framework::core::I2cPort</a>
, <a class="el" href="classframework_1_1core_1_1_r_t_d_m___i2c_port.html#a5b94f14517c1c89e009ff1134c08f678">framework::core::RTDM_I2cPort</a>
</li>
<li>SetupDSP()
: <a class="el" href="classframework_1_1core_1_1_framework_manager.html#a4e8036c67cfa1c87252df763856a574e">framework::core::FrameworkManager</a>
</li>
<li>SetupLogger()
: <a class="el" href="classframework_1_1core_1_1_framework_manager.html#a910cf41d8cfcad3f01a2d4820b4ecdc2">framework::core::FrameworkManager</a>
</li>
<li>SetValue()
: <a class="el" href="classframework_1_1core_1_1cvmatrix.html#ac5af3ad1d3a1695ec8fe2152b38cd8b5">framework::core::cvmatrix</a>
</li>
<li>SetValueChanged()
: <a class="el" href="classframework_1_1gui_1_1_box.html#a04fb86037c0d44506c41f787ee26398c">framework::gui::Box</a>
</li>
<li>SetValueNoMutex()
: <a class="el" href="classframework_1_1core_1_1cvmatrix.html#a5a381a31496c977a175f68dce33f9446">framework::core::cvmatrix</a>
</li>
<li>SetValues()
: <a class="el" href="classframework_1_1filter_1_1_nested_sat.html#a9f919599c677e50584021cad466610e1">framework::filter::NestedSat</a>
, <a class="el" href="classframework_1_1filter_1_1_pid.html#adb2e92436d2ea3a1a29275c34602fa6b">framework::filter::Pid</a>
</li>
<li>SetXmlProp()
: <a class="el" href="classframework_1_1gui_1_1_widget.html#acf8632f0f5bf9940c01178c3ed0489eb">framework::gui::Widget</a>
</li>
<li>SetYaw()
: <a class="el" href="classframework_1_1filter_1_1_uav_multiplex.html#a0110e4554359559113a3343e121d2e7a">framework::filter::UavMultiplex</a>
</li>
<li>SetYawTrim()
: <a class="el" href="classframework_1_1filter_1_1_uav_multiplex.html#a0f86d094032465e70d0da553a326a2ff">framework::filter::UavMultiplex</a>
</li>
<li>SharedMem()
: <a class="el" href="classframework_1_1core_1_1_shared_mem.html#a43cf00a92f316cb891256a83115576ee">framework::core::SharedMem</a>
</li>
<li>Size()
: <a class="el" href="classframework_1_1core_1_1io__data.html#aeb00ee0e2bdaad8ef43a81c891a289b4">framework::core::io_data</a>
</li>
<li>SleepMS()
: <a class="el" href="classframework_1_1core_1_1_thread.html#a5bdbf5a2c9d82a562436e9ae7e5ea4b1">framework::core::Thread</a>
</li>
<li>SleepUntil()
: <a class="el" href="classframework_1_1core_1_1_thread.html#a231938b0e81bd51f7e7e8f11b8bf45d6">framework::core::Thread</a>
</li>
<li>SleepUS()
: <a class="el" href="classframework_1_1core_1_1_thread.html#ab40474f0d841d2854587bd44ec776171">framework::core::Thread</a>
</li>
<li>Socket()
: <a class="el" href="classframework_1_1core_1_1_socket.html#a6fe908569147879dbc8145dfd8c38e11">framework::core::Socket</a>
</li>
<li>South
: <a class="el" href="classframework_1_1gui_1_1_tab_widget.html#a1fd66ab0fc37386aec5ac84b0c503f15a65b697a5afd117dcc0df574097dc028f">framework::gui::TabWidget</a>
</li>
<li>Speed()
: <a class="el" href="classframework_1_1filter_1_1_trajectory_generator1_d.html#a62075bd8c798d7c12a4be934e1eb0368">framework::filter::TrajectoryGenerator1D</a>
</li>
<li>SpinBox()
: <a class="el" href="classframework_1_1gui_1_1_spin_box.html#a2561997e55de48f6cf413013c7525a84">framework::gui::SpinBox</a>
</li>
<li>Start()
: <a class="el" href="classframework_1_1core_1_1_thread.html#aeea6854b038e4cc558dfb8dbfc6f47fd">framework::core::Thread</a>
</li>
<li>StartLog()
: <a class="el" href="classframework_1_1core_1_1_framework_manager.html#ac9ace8e2d4239e880d40a0dbf0730cc1">framework::core::FrameworkManager</a>
</li>
<li>StartTraj()
: <a class="el" href="classframework_1_1filter_1_1_trajectory_generator2_d_circle.html#ad3657cb3d031ac9e67991a133c27cc0d">framework::filter::TrajectoryGenerator2DCircle</a>
, <a class="el" href="classframework_1_1filter_1_1_trajectory_generator1_d.html#ae1b33a9354387bd33209f31003b8f1fc">framework::filter::TrajectoryGenerator1D</a>
</li>
<li>StopLog()
: <a class="el" href="classframework_1_1core_1_1_framework_manager.html#a20b5c34e89f2254822c630f231ac8547">framework::core::FrameworkManager</a>
</li>
<li>StopTraj()
: <a class="el" href="classframework_1_1filter_1_1_trajectory_generator2_d_circle.html#a8b82467d7e945375968382283436bd7a">framework::filter::TrajectoryGenerator2DCircle</a>
, <a class="el" href="classframework_1_1filter_1_1_trajectory_generator1_d.html#ac9be2ce2b53e7ef5866f459284823512">framework::filter::TrajectoryGenerator1D</a>
</li>
<li>Suspend()
: <a class="el" href="classframework_1_1core_1_1_thread.html#af9c6b84365e82242f6066d15b783e59c">framework::core::Thread</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Mon Jun 2 2014 09:47:01 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.4 </li>
  </ul>
</div>
</body>
</html>
